ra_config.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Classes

struct | ra_context

## Typedefs

typedef uint16_t | ra_word_t
typedef uint16_t | ra_index_t

## Enumerations

enum | { RA_MAX_DATA_LENGTH = 2048 , RA_PUNCTURE_RATE = 3 , RA_MAX_CODE_LENGTH = RA_MAX_DATA_LENGTH * 2 + 3 }
enum | { RA_BITCOUNT = 8 * sizeof(ra_word_t) , RA_BITSHIFT = RA_BITCOUNT - 1 }

## Functions

void | ra_length_init (struct ra_context *ctx, ra_index_t data_length)

## Typedef Documentation

## ra_index_t

typedef uint16_t ra_index_t

## ra_word_t

typedef uint16_t ra_word_t

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
RA_BITCOUNT |
RA_BITSHIFT |

## anonymous enum

anonymous enum

Enumerator
RA_MAX_DATA_LENGTH |
RA_PUNCTURE_RATE |
RA_MAX_CODE_LENGTH |

## Function Documentation

## ra_length_init()

void ra_length_init | ( | struct ra_context * | ctx,
|  | ra_index_t | data_length )